=== debian/changelog ===
libminc (2.4.03-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 09:07:03 +0100

libminc (2.4.03-2) unstable; urgency=medium

  * Team upload
  * d/: Install cmake file in the correct location Closes: #907553
        (locutusofborg)

 -- Gert Wollny <gewo@debian.org>  Thu, 30 Aug 2018 18:44:55 +0200

libminc (2.4.03-1) unstable; urgency=medium

  * re-upload to sid

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Aug 2018 19:10:28 +0200

libminc (2.4.03-1~exp3) experimental; urgency=medium

  * Team upload
  * d/p/disable: avoid FTBFS on powerpc

 -- Gert Wollny <gewo@debian.org>  Thu, 16 Aug 2018 17:46:26 +0200

libminc (2.4.03-1~exp2) experimental; urgency=medium

  * d/p/initialize: Fix FTBFS on armhf and possibly other archs

 -- Gert Wollny <gewo@debian.org>  Sun, 03 Jun 2018 10:40:12 +0200

libminc (2.4.03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.03
  * d/p: remove patches resolved upstream
  * d/rules: Enable system nifti from build rules
  * d/control: cme fix dpkg: Update urls and standard (no changes needed)
  * d/rules, *.install: Move to use install files
  * d/p/remove-rpath: Don't set rpath when installing
  * Correct *.cmake install location
  * d/rules: add -ffloat-store in i386 build to pass tests
  * d/copyright: Add some contributor names that were missing

 -- Gert Wollny <gewo@debian.org>  Sat, 19 May 2018 22:12:40 +0200
