## libminc 2.4.05

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 SET(LIBMINC_PACKAGE_VERSION_MAJOR 2)
 SET(LIBMINC_PACKAGE_VERSION_MINOR 4)
-SET(LIBMINC_PACKAGE_VERSION_PATCH 03)
-
-SET(LIBMINC_SOVERSION "5.2.0")
+SET(LIBMINC_PACKAGE_VERSION_PATCH 05)
+
+SET(LIBMINC_SOVERSION "5.3.0")
 
 SET(LIBMINC_PACKAGE "libminc")
 SET(LIBMINC_PACKAGE_BUGREPORT "a.janke@gmail.com")
@@ -22,7 +22,7 @@
 
 ENABLE_TESTING()
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.6)
 
 IF( POLICY CMP0063 )
   CMAKE_POLICY(SET CMP0063 NEW)
@@ -49,7 +49,9 @@
 
 
   OPTION(LIBMINC_MINC1_SUPPORT           "Support minc1 file format, requires NETCDF" OFF)
+  OPTION(LIBMINC_BUILD_EZMINC            "Build C++ EMINC library based on libminc1" ON)
   OPTION(LIBMINC_BUILD_EZMINC_EXAMPLES   "Build EZminc examples" OFF)
+  OPTION(LIBMINC_USE_NIFTI               "Build with NIfTI support" OFF)
   OPTION(LIBMINC_USE_SYSTEM_NIFTI        "Use system NIfTI-1 library" OFF)
 
   SET (LIBMINC_EXPORTED_TARGETS "LIBMINC-targets")
@@ -67,6 +69,7 @@
   SET(HDF5_NO_FIND_PACKAGE_CONFIG_FILE ON)
   FIND_PACKAGE(HDF5 REQUIRED COMPONENTS C )
   
+  IF(LIBMINC_USE_NIFTI)
   IF (LIBMINC_USE_SYSTEM_NIFTI)
     FIND_PACKAGE(NIFTI)
   ELSE(LIBMINC_USE_SYSTEM_NIFTI)
@@ -74,6 +77,9 @@
     INCLUDE(BuildNIFTI)
     build_nifti(${CMAKE_INSTALL_PREFIX} ${CMAKE_BINARY_DIR}/external)
   ENDIF(LIBMINC_USE_SYSTEM_NIFTI)
+  ELSE()
+  SET(NIFTI_FOUND OFF)
+  ENDIF()
   
   SET(HAVE_ZLIB ON)
 ELSE(NOT LIBMINC_EXTERNALLY_CONFIGURED)
@@ -129,9 +135,10 @@
 
 set(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE=1 )
 
-CHECK_SYMBOL_EXISTS(rint     "math.h"  HAVE_RINT)
+CHECK_SYMBOL_EXISTS(rint     "math.h" HAVE_RINT)
 CHECK_SYMBOL_EXISTS(copysign "math.h" HAVE_COPYSIGN)
 CHECK_SYMBOL_EXISTS(round    "math.h" HAVE_ROUND)
+CHECK_SYMBOL_EXISTS(fabsf    "math.h" HAVE_FABSF)
 unset(CMAKE_REQUIRED_LIBRARIES)
 unset(CMAKE_REQUIRED_DEFINITIONS)
 
@@ -143,11 +150,27 @@
 CHECK_FUNCTION_EXISTS(gettimeofday  HAVE_GETTIMEOFDAY)
 
 CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME_RT)
+
 IF(HAVE_CLOCK_GETTIME_RT)
   SET(RT_LIBRARY "rt")
   SET(HAVE_CLOCK_GETTIME ON)
 ELSE(HAVE_CLOCK_GETTIME_RT)
-  CHECK_SYMBOL_EXISTS(clock_gettime "time.h" HAVE_CLOCK_GETTIME)
+  # first check if the function is defined in header
+  CHECK_SYMBOL_EXISTS(clock_gettime "time.h" HAVE_CLOCK_GETTIME_SYMBOL)
+  # then check that it's available
+  IF(HAVE_CLOCK_GETTIME_SYMBOL)
+    TRY_RUN(HAVE_CLOCK_GETTIME_RUN HAVE_CLOCK_GETTIME_COMP
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${CMAKE_CURRENT_SOURCE_DIR}/check_clock_gettime.c
+            )
+    IF(HAVE_CLOCK_GETTIME_RUN EQUAL 0 AND HAVE_CLOCK_GETTIME_COMP)
+      SET(HAVE_CLOCK_GETTIME ON)
+    ELSE()
+      SET(HAVE_CLOCK_GETTIME OFF)
+    ENDIF()
+  ENDIF()
+
+
 ENDIF(HAVE_CLOCK_GETTIME_RT)
 
 INCLUDE(CheckIncludeFiles)
@@ -221,9 +244,12 @@
    ${CMAKE_CURRENT_SOURCE_DIR}/libsrc2
    ${CMAKE_CURRENT_SOURCE_DIR}/libsrc
    ${CMAKE_CURRENT_SOURCE_DIR}/volume_io/Include
-   ${CMAKE_CURRENT_SOURCE_DIR}/ezminc
    ${HDF5_INCLUDE_DIRS}
    )
+
+IF(LIBMINC_BUILD_EZMINC AND LIBMINC_MINC1_SUPPORT)
+  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/ezminc )
+ENDIF()
 
 IF(LIBMINC_NIFTI_SUPPORT)
     INCLUDE_DIRECTORIES(
@@ -365,11 +391,11 @@
     volume_io/Include/volume_io/volume_cache.h
 )
 
-SET(LIBMINC_LIBRARY   ${LIBMINC_EXTERNAL_LIB_PREFIX}minc2)
+SET(LIBMINC_LIBRARY   minc2)
 
 # a hack for APPLE
 IF(LIBMINC_BUILD_SHARED_LIBS)
-  SET(LIBMINC_LIBRARY_STATIC ${LIBMINC_EXTERNAL_LIB_PREFIX}minc2_static)
+  SET(LIBMINC_LIBRARY_STATIC minc2_static)
 ELSE(LIBMINC_BUILD_SHARED_LIBS)
   SET(LIBMINC_LIBRARY_STATIC ${LIBMINC_LIBRARY})
 ENDIF(LIBMINC_BUILD_SHARED_LIBS)
@@ -378,27 +404,4 @@
     SET(NIFTI_LIBRARIES 
         ${NIFTI_LIBRARY} ${ZNZ_LIBRARY}
     )
-ELSE(LIBMINC_NIFTI_SUPPORT)
-    SET(NIFTI_LIBRARIES )
-ENDIF(LIBMINC_NIFTI_SUPPORT)
-
-
-SET(LIBMINC_LIBRARIES ${LIBMINC_LIBRARY} ${HDF5_LIBRARIES} ${NIFTI_LIBRARIES} ${ZLIB_LIBRARY})
-SET(LIBMINC_STATIC_LIBRARIES ${LIBMINC_LIBRARY_STATIC} ${HDF5_LIBRARIES} ${NIFTI_LIBRARIES} ${ZLIB_LIBRARY})
-
-IF(UNIX)
-  SET(LIBMINC_LIBRARIES ${LIBMINC_LIBRARIES} m dl ${RT_LIBRARY})
-  SET(LIBMINC_STATIC_LIBRARIES ${LIBMINC_STATIC_LIBRARIES} m dl  ${RT_LIBRARY})
-ENDIF(UNIX)
-
-SET(minc_LIB_SRCS ${minc2_LIB_SRCS} ${minc_common_SRCS})
-SET(minc_HEADERS  ${minc2_HEADERS} ${minc_common_HEADERS})
-
-IF(LIBMINC_MINC1_SUPPORT)
-  SET(minc_HEADERS  ${minc_HEADERS}  ${minc1_HEADERS})
-  SET(minc_LIB_SRCS ${minc_LIB_SRCS} ${minc1_LIB_SRCS})
-ENDIF(LIBMINC_MINC1_SUPPORT)
-
-
-# Keep this variable for compatibility
-SET(VOLUME_IO_LIBRARY  ${LIBMINC_EXTERNAL_LIB_PREFIX}minc2)
+    get_filename_component(NIFTI_LIBRARY_NAME "${NIFTI_LIBRARY}" NAME)
