=== debian/changelog ===
libminc (2.4.05-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [d8373de] Patch to properly remove RPATH.

 -- Steve M. Robbins <smr@debian.org>  Thu, 01 Sep 2022 22:37:37 -0500

libminc (2.4.05-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [5e0279b] Restore fix for LIBMINC_USE_FILE_CONFIG, inadvertently removed. 
    Patches generated using gbp patch-queue, so the preamble changed for others.

 -- Steve M. Robbins <smr@debian.org>  Thu, 01 Sep 2022 21:22:42 -0500

libminc (2.4.05-2) unstable; urgency=medium

  * Useless revision for testing migration.

 -- Steve M. Robbins <smr@debian.org>  Tue, 23 Aug 2022 21:46:56 -0500

libminc (2.4.05-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unneeded debian/.gitlab-ci.yml
  * Add symbols file

  [ Steve Robbins ]
  * [055ad76] Set package name to match SOVERSION.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Aug 2022 11:48:32 -0500

libminc (2.4.03-5) unstable; urgency=medium

  * Really fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jan 2022 21:16:56 +0100

libminc (2.4.03-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:04:35 +0200
