=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                libnifti-dev,
                zlib1g-dev,
                libhdf5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libminc
 Vcs-Git: https://salsa.debian.org/med-team/libminc.git
 Homepage: https://github.com/BIC-MNI/libminc
 Rules-Requires-Root: no
 
-Package: libminc2-5.2.0
+Package: libminc2-5.3.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -43,11 +43,12 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libminc2-5.2.0 (= ${binary:Version}),
+         libminc2-5.3.0 (= ${binary:Version}),
          libnetcdf-dev,
          libhdf5-dev
 Conflicts: libminc0-dev
 Replaces: libminc0-dev
+Multi-Arch: same
 Description: MNI medical image format development environment
  This package contains the library and headers for libminc2 and
  libminc_io.
