## libminc 2.4.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 SET(LIBMINC_PACKAGE_VERSION_MAJOR 2)
 SET(LIBMINC_PACKAGE_VERSION_MINOR 4)
-SET(LIBMINC_PACKAGE_VERSION_PATCH 05)
+SET(LIBMINC_PACKAGE_VERSION_PATCH 06)
 
 SET(LIBMINC_SOVERSION "5.3.0")
 
 SET(LIBMINC_PACKAGE "libminc")
-SET(LIBMINC_PACKAGE_BUGREPORT "a.janke@gmail.com")
+SET(LIBMINC_PACKAGE_BUGREPORT "vladimir.fonov@gmail.com")
 
 SET(LIBMINC_PACKAGE_NAME    "libminc")
 SET(LIBMINC_PACKAGE_VERSION "${LIBMINC_PACKAGE_VERSION_MAJOR}.${LIBMINC_PACKAGE_VERSION_MINOR}.${LIBMINC_PACKAGE_VERSION_PATCH}")
@@ -53,6 +53,8 @@
   OPTION(LIBMINC_BUILD_EZMINC_EXAMPLES   "Build EZminc examples" OFF)
   OPTION(LIBMINC_USE_NIFTI               "Build with NIfTI support" OFF)
   OPTION(LIBMINC_USE_SYSTEM_NIFTI        "Use system NIfTI-1 library" OFF)
+
+  OPTION(LIBMINC_USE_ASAN                "Build with Address Sanitizer" OFF)
 
   SET (LIBMINC_EXPORTED_TARGETS "LIBMINC-targets")
   SET (LIBMINC_INSTALL_BIN_DIR bin)
@@ -108,6 +110,13 @@
   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fPIC")
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
 ENDIF(UNIX)
+
+
+IF(LIBMINC_USE_ASAN)
+  add_compile_options(-fno-omit-frame-pointer -fsanitize=address)
+  add_link_options(-fno-omit-frame-pointer -fsanitize=address)
+ENDIF(LIBMINC_USE_ASAN)
+
 
 # check for prereqs
 INCLUDE(CheckFunctionExists)
@@ -397,11 +406,3 @@
 IF(LIBMINC_BUILD_SHARED_LIBS)
   SET(LIBMINC_LIBRARY_STATIC minc2_static)
 ELSE(LIBMINC_BUILD_SHARED_LIBS)
-  SET(LIBMINC_LIBRARY_STATIC ${LIBMINC_LIBRARY})
-ENDIF(LIBMINC_BUILD_SHARED_LIBS)
-
-IF(LIBMINC_NIFTI_SUPPORT)
-    SET(NIFTI_LIBRARIES 
-        ${NIFTI_LIBRARY} ${ZNZ_LIBRARY}
-    )
-    get_filename_component(NIFTI_LIBRARY_NAME "${NIFTI_LIBRARY}" NAME)
