=== ezminc/examples/CMakeLists.txt ===
LINK_LIBRARIES(minc_io)

ADD_EXECUTABLE(trilinear_resample trilinear_resample.cpp)
ADD_EXECUTABLE(volume_avg volume_avg.cpp)
ADD_EXECUTABLE(volume_msq_dist volume_msq_dist.cpp)
ADD_EXECUTABLE(create_grid_file create_grid_file.cpp)
