=== debian/changelog ===
libminc (2.4.06-3) unstable; urgency=medium

  * [2159d0a] Code fixes to allow building with GCC 15.
    Closes: #1097231.
  * [55b7170] Renumber patches.
  * [345008c] Harmonize all patch files to end with ".patch".

 -- Steve M. Robbins <smr@debian.org>  Thu, 04 Sep 2025 22:00:47 -0500

libminc (2.4.06-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062418

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:12:12 +0000

libminc (2.4.06-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [1e0e1ad] Remove non-functional autopkg tests.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Dec 2023 10:21:51 -0600

libminc (2.4.06-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [df041f5] New upstream version 2.4.06

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Dec 2023 21:44:20 -0600

libminc (2.4.05-5) UNRELEASED; urgency=medium

  [ Achu Luma ]
  * Team upload.
  * Added autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Achu Luma ]
  * [40b149e] Fix type

 -- Achu Luma <ach.lumap@gmail.com>  Mon, 16 Oct 2023 21:24:27 +0100
