=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-exec,
                cmake,
                libnetcdf-dev,
                libnifti-dev,
                zlib1g-dev,
                libhdf5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libminc
 Vcs-Git: https://salsa.debian.org/med-team/libminc.git
 Homepage: https://github.com/BIC-MNI/libminc
 Rules-Requires-Root: no
 
-Package: libminc2-5.3.0
+Package: libminc2-5.3.0t64
+Provides: ${t64:Provides}
+Replaces: libminc2-5.3.0
+Breaks: libminc2-5.3.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -43,7 +46,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libminc2-5.3.0 (= ${binary:Version}),
+         libminc2-5.3.0t64 (= ${binary:Version}),
          libnetcdf-dev,
          libhdf5-dev
 Conflicts: libminc0-dev
