=== debian/watch ===
version=4

opts=uversionmangle=s/-/./g;s/^?(libminc|release)[-.]*// \
   https://github.com/BIC-MNI/libminc/tags .*/?(libminc|release)-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
